#include "tile/io/event_loop.h"

#include "gflags/gflags.h"

DEFINE_bool(tile_enable_watchdog, true, "");
DEFINE_int32(tile_event_loop_per_scheduling_group, 1, "");

namespace tile {

namespace {}

}// namespace tile

namespace tile {
EventLoop::EventLoop() {}

EventLoop::~EventLoop() {}

void
EventLoop::AttachDescriptor(Descriptor *desc, bool enabled)
{}

void
EventLoop::EnableDescriptor(Descriptor *desc)
{}

void
EventLoop::RearmDescriptor(Descriptor *desc)
{}

void
EventLoop::DisabledDescriptor(Descriptor *desc)
{}

void
EventLoop::DetachDescriptor(Descriptor *desc)
{}

void
EventLoop::AddTask(std::function<void()> &&cb)
{}

void
EventLoop::Barrier()
{}

void
EventLoop::Run()
{}

void
EventLoop::Stop()
{}

void
EventLoop::Join()
{}

EventLoop *
EventLoop::Current()
{
    return nullptr;
}

void
EventLoop::WaitAndRunEvents(std::chrono::milliseconds wait_for)
{}

void
EventLoop::RunUserTasks()
{}
}// namespace tile
